%define ver 2.0

Summary:	The Typesafe Callback Framework for C++
Name:		libsigc++
Version:	2.0.6
Release:	1.PU_IAS.1
License:	LGPL
Group:		System Environment/Libraries
Packager:	Marcin Garski <mgarski@post.pl>
URL:		http://libsigc.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libsigc++/%{ver}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
libsigc++ implements a typesafe callback system for standard C++. It allows you to
define signals and to connect those signals to any callback function, either global
or a member function, regardless of whether it is static or virtual.
It also contains adaptor classes for connection of dissimilar callbacks and has an
ease of use unmatched by other C++ callback libraries.

%package devel
Summary:	Development files for %{name}.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv %{buildroot}%{_docdir}/libsigc-%{ver} develdocs

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot} %{_builddir}/%{name}-%{version}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libsigc-*.so.*

%files devel
%defattr(-, root, root)
%doc develdocs/docs/*
%{_includedir}/sigc++-%{ver}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/sigc++-%{ver}/
%{_libdir}/libsigc-*.a
%{_libdir}/libsigc-*.la
%{_libdir}/libsigc-*.so

%changelog
* Sat Nov 20 2004 Marcin Garski <mgarski@post.pl> 2.0.6-1.fc2
- Updated to version 2.0.6

* Thu Sep 02 2004 Marcin Garski <mgarski@post.pl> 2.0.5-1.fc2
- Updated to version 2.0.5

* Sat Jun 05 2004 Marcin Garski <mgarski@post.pl> 2.0.3-1.fc2
- Initial specfile
